Name: logrotate
Version: 3.6.2
Release: alt2

Summary: Rotates, compresses, and mails system logs
License: GPL
Group: File tools
Url: ftp://ftp.redhat.com/pub/redhat/code/%name

Source: %url/%name-%version.tar.bz2
Source1: %name.cron

Patch1: %name-3.6.2-alt-config.patch
Patch2: %name-3.6.2-owl-alt-man.patch
Patch3: %name-3.6.2-alt-taboo.patch
Patch4: %name-3.6.2-alt-run_script.patch
Patch5: %name-3.6.2-alt-owl-fchmod-fchown-race.patch
Patch6: %name-3.6.2-alt-snprintf.patch
Patch7: %name-3.6.2-alt-messages.patch

Provides: %_sysconfdir/logrotate.d

# Automatically added by buildreq on Sun Jan 20 2002
BuildRequires: libpopt-devel

%description
The %name utility is designed to simplify the administration of
log files on a system which generates a lot of log files.  %name
allows for the automatic rotation, compression, removal and mailing of
log files.  %name can be set to handle a log file daily, weekly,
monthly or when the log file gets to a certain size.  Normally,
%name runs as a daily cron job.

%prep
%setup -q

%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1

%build
%make_build

%install
%make_install install \
	PREFIX=$RPM_BUILD_ROOT \
	BINDIR=%_sbindir \
	MANDIR=%_mandir
%__mkdir_p $RPM_BUILD_ROOT{%_sysconfdir/%name.d,/var/run/%name}

install -pD -m640 examples/%name-default $RPM_BUILD_ROOT%_sysconfdir/%name.conf
install -pD -m755 %SOURCE1 $RPM_BUILD_ROOT%_sysconfdir/cron.daily/%name
install -pD -m644 /dev/null $RPM_BUILD_ROOT%_localstatedir/%name/status

%post
if [ ! -s %_localstatedir/%name/status -a -s %_localstatedir/%name.status ]; then
	%__mv -f %_localstatedir/%name.status %_localstatedir/%name/status
fi

%files
%_sbindir/*
%config(noreplace) %_sysconfdir/cron.daily/%name
%config(noreplace) %_sysconfdir/%name.conf
%_mandir/man?/*
%attr(750,root,root) %dir %_sysconfdir/%name.d
%attr(700,root,root) %dir /var/run/%name
%attr(700,root,root) %dir %_localstatedir/%name
%attr(644,root,root) %verify(not size md5 mtime) %config(noreplace) %_localstatedir/%name/status
%doc CHANGES

%changelog
* Wed Sep 25 2002 Dmitry V. Levin <ldv@altlinux.org> 3.6.2-alt2
- Provides: %_sysconfdir/logrotate.d

* Sat Mar 23 2002 Dmitry V. Levin <ldv@alt-linux.org> 3.6.2-alt1
- 3.6.2.
- Removed readState patch (merged upstream).
- Marked %_localstatedir/%name/status ad %%%config(noreplace).
- Added %%post script to handle %name/status move.

* Sun Jan 20 2002 Dmitry V. Levin <ldv@alt-linux.org> 3.6-alt3
- Optimized cron script.

* Fri Dec 28 2001 Dmitry V. Levin <ldv@alt-linux.org> 3.6-alt2
- Fixed taboo patch.

* Wed Dec 26 2001 Dmitry V. Levin <ldv@alt-linux.org> 3.6-alt1
- 3.6, updated our patches.
- Fixed typo in readState error check.
- Merged fchmod/fchown race (owl).

* Mon Jun 04 2001 Dmitry V. Levin <ldv@altlinux.ru> 3.5.4-alt1
- 3.5.4 (some fixes went to mainstream).
- Added ".number" taboo suffix.

* Sun Dec 31 2000 Dmitry V. Levin <ldv@fandra.org> 3.5.2-ipl1mdk
- 3.5.2.
- Updated all patches for new version.

* Tue Sep 19 2000 Dmitry V. Levin <ldv@fandra.org> 3.3-ipl10mdk
- Moved %_localstatedir/%name.status --> %_localstatedir/%name/status
  (and fixed perms).
- Automatically added BuildRequires.

* Thu Sep 14 2000 Dmitry V. Levin <ldv@fandra.org> 3.3-ipl9mdk
- Patched config handling to support taboo suffixes.

* Mon Sep 11 2000 Dmitry V. Levin <ldv@fandra.org> 3.3-ipl8mdk
- Rewritten runScript function in secure manner.
- Merged with MDK.

* Wed Nov 10 1999 Dmitry V. Levin <ldv@fandra.org>
- update to 3.3
- Fandra adaptions

* Mon Apr 12 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- update to 2.1.

* Sat Apr 10 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- Mandrake adaptions
- bzip2 man/info pages
- add de locale
